import { Link } from "react-router-dom"
import { User } from "../types"

export default function TopBar({ user }: { user: User | undefined }) {

    return (
        <div className="navbar bg-base-200">
            <div className="navbar-start">
                <ul className="menu menu-horizontal rounded-box bg-base-300">
                        <li>
                            <Link to="/" className="">Home</Link>
                        </li>
                    {user?.admin == 1 && (
                        <li>
                            <Link to="/admin" className="">Admin</Link>
                        </li>
                    )}
                </ul>
            </div>
            <div className="navbar-center text-xl">
                <h1>Tanuki's Bank</h1>
            </div>
            {user ? (
                <div className="navbar-end">
                    <div className="flex items-center gap-3">
                        <span>{user.name}</span>
                        <button className="btn bg-accent" onClick={() => {
                            localStorage.removeItem("token")
                            window.location.reload()
                        }}>
                            Logout
                        </button>
                    </div>
                </div>
            ) : (
                <div className="navbar-end">
                    <ul className="menu menu-horizontal rounded-box bg-base-300">
                        <li>
                            <Link to="/login" className="">Login</Link>
                        </li>
                        <li>
                            <Link to="/register" className="">Register</Link>
                        </li>
                    </ul>
                </div>
            )}            
        </div>
    )
}